#ifndef NN_FACTORY_H
#define NN_FACTORY_H

#include <string>

#include "NN.h"

class NN_factory
{
public:
    // Creates fastest PSO neural network.
    static NN_PSO &createFastestPSO(std::string nnetConfigFile, std::string trainingDataFile, std::string psoConfigFile);

    // Creates fastest OpenCL PSO NN on CPU/GPU.
    static NN_PSO &createCPU_PSO(std::string nnetConfigFile, std::string trainingDataFile, std::string psoConfigFile);
    static NN_PSO &createGPU_PSO(std::string nnetConfigFile, std::string trainingDataFile, std::string psoConfigFile);
};



#endif // NN_FACTORY_H
